## org.eclipse.emf.ecoretools.diagram.ui.outline.decorator
Interface IMarkerReader

All Known Implementing Classes:
  AbstractValidationMarkerReader

    public interface IMarkerReader

An interface used to define

Method Summary
`java.lang.String` `getMarkerType()` Used to retrieve the MarkerType
`org.eclipse.core.runtime.IStatus` `getStatus(org.eclipse.emf.ecore.EObject object)` Get an IStatus from the markers associated with the given EObject

Method Detail

### getMarkerType

    java.lang.String getMarkerType()

  Used to retrieve the MarkerType

  Returns:
    String the markerType

### getStatus

    org.eclipse.core.runtime.IStatus getStatus(org.eclipse.emf.ecore.EObject object)

  Get an IStatus from the markers associated with the given EObject

  Parameters:
    `object` - the EObject
  Returns:
    a MultiStatus composed by the list of status from markers

Copyright 2007 Anyware Technologies. All Rights Reserved.